Vehicle Maintenance API Documentation
Welcome to Vehicle Databases API's Documentation
Vehicle Maintenance
GETJSON ResponseOverview
This API provides information about the OEM vehicle maintenance schedules at mileage intervals
- COVERAGE
- US Region Vehicles.
- SUPPORT
- Works for 17 characters VINs
HTTP Request
Endpoint
https://api.vehicledatabases.com/vehicle-maintenance/v4/{vin}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/vehicle-maintenance/v4/{vin}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
vinRequired- 17 characters VIN number
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"vin": "2HGFE2F20NH507968",
"year": 2022,
"make": "Honda",
"model": "Civic",
"trim": "LX 4dr Sedan CVT",
"maintenance": [
{
"mileage": {
"miles": 15000,
"km": 24100
},
"service_items": [
"Replace Air Cleaner Element",
"Replace Cabin Air Filter"
]
},
{
"mileage": {
"miles": 25000,
"km": 40200
},
"service_items": [
"Replace Automatic Transaxle (cvt) Fluid"
]
},
{
"mileage": {
"miles": 30000,
"km": 48200
},
"service_items": [
"Replace Air Cleaner Element",
"Replace Cabin Air Filter"
]
},
{
"mileage": {
"miles": 45000,
"km": 72400
},
"service_items": [
"Replace Air Cleaner Element",
"Replace Cabin Air Filter"
]
},
{
"mileage": {
"miles": 50000,
"km": 80400
},
"service_items": [
"Replace Automatic Transaxle (cvt) Fluid"
]
},
{
"mileage": {
"miles": 60000,
"km": 96500
},
"service_items": [
"Replace Air Cleaner Element",
"Replace Cabin Air Filter"
]
},
{
"mileage": {
"miles": 75000,
"km": 120700
},
"service_items": [
"Replace Air Cleaner Element",
"Replace Automatic Transaxle (cvt) Fluid",
"Replace Cabin Air Filter"
]
},
{
"mileage": {
"miles": 90000,
"km": 144800
},
"service_items": [
"Replace Air Cleaner Element",
"Replace Cabin Air Filter"
]
},
{
"mileage": {
"miles": 100000,
"km": 160900
},
"service_items": [
"Replace Automatic Transaxle (cvt) Fluid"
]
},
{
"mileage": {
"miles": 105000,
"km": 168900
},
"service_items": [
"Replace Air Cleaner Element",
"Replace Cabin Air Filter"
]
},
{
"mileage": {
"miles": 120000,
"km": 193100
},
"service_items": [
"Replace Air Cleaner Element",
"Replace Cabin Air Filter"
]
},
{
"mileage": {
"miles": 125000,
"km": 201100
},
"service_items": [
"Replace Automatic Transaxle (cvt) Fluid"
]
},
{
"mileage": {
"miles": 135000,
"km": 217200
},
"service_items": [
"Replace Air Cleaner Element",
"Replace Cabin Air Filter"
]
},
{
"mileage": {
"miles": 150000,
"km": 241400
},
"service_items": [
"Replace Air Cleaner Element",
"Replace Automatic Transaxle (cvt) Fluid",
"Replace Cabin Air Filter"
]
},
{
"mileage": {
"miles": 160000,
"km": 257400
},
"service_items": [
"Inspect Idle Speed"
]
}
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Vehicle Maintenance
GETJSON ResponseOverview
This API provides information about the OEM vehicle maintenance schedules at mileage intervals
- COVERAGE
- US Region Vehicles.
- SUPPORT
- Works for 17 characters VINs
HTTP Request
Endpoint
https://api.vehicledatabases.com/vehicle-maintenance/v3/{vin}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/vehicle-maintenance/v3/{vin}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
vinRequired- 17 characters VIN number
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"vin": "2HGFE2F20NH507968",
"year": 2022,
"make": "Honda",
"model": "Civic",
"trim": "LX 4dr Sedan CVT",
"maintenance": [
{
"mileage": 15000,
"service_items": [
"Replace Air Cleaner Element",
"Replace Cabin Air Filter"
]
},
{
"mileage": 25000,
"service_items": [
"Replace Automatic Transaxle (cvt) Fluid"
]
},
{
"mileage": 30000,
"service_items": [
"Replace Air Cleaner Element",
"Replace Cabin Air Filter"
]
},
{
"mileage": 45000,
"service_items": [
"Replace Air Cleaner Element",
"Replace Cabin Air Filter"
]
},
{
"mileage": 50000,
"service_items": [
"Replace Automatic Transaxle (cvt) Fluid"
]
},
{
"mileage": 60000,
"service_items": [
"Replace Air Cleaner Element",
"Replace Cabin Air Filter"
]
},
{
"mileage": 75000,
"service_items": [
"Replace Air Cleaner Element",
"Replace Automatic Transaxle (cvt) Fluid",
"Replace Cabin Air Filter"
]
},
{
"mileage": 90000,
"service_items": [
"Replace Air Cleaner Element",
"Replace Cabin Air Filter"
]
},
{
"mileage": 100000,
"service_items": [
"Replace Automatic Transaxle (cvt) Fluid"
]
},
{
"mileage": 105000,
"service_items": [
"Replace Air Cleaner Element",
"Replace Cabin Air Filter"
]
},
{
"mileage": 120000,
"service_items": [
"Replace Air Cleaner Element",
"Replace Cabin Air Filter"
]
},
{
"mileage": 125000,
"service_items": [
"Replace Automatic Transaxle (cvt) Fluid"
]
},
{
"mileage": 135000,
"service_items": [
"Replace Air Cleaner Element",
"Replace Cabin Air Filter"
]
},
{
"mileage": 150000,
"service_items": [
"Replace Air Cleaner Element",
"Replace Automatic Transaxle (cvt) Fluid",
"Replace Cabin Air Filter"
]
},
{
"mileage": 160000,
"service_items": [
"Inspect Idle Speed"
]
}
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Vehicle Maintenance
GETJSON ResponseOverview
This API provides information about the OEM vehicle maintenance schedules at mileage intervals
- COVERAGE
- US Region Vehicles
- SUPPORT
- Works for vehicles from 1983 to 2025
HTTP Request
Endpoint
https://api.vehicledatabases.com/vehicle-maintenance/v4/{year}/{make}/{model}/{trim}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/vehicle-maintenance/v4/{year}/{make}/{model}/{trim}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
yearRequired- Vehicle year
makeRequired- Vehicle make
modelRequired- Vehicle model
trimRequired- Vehicle Trim
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"year": 2022,
"make": "Honda",
"model": "Civic",
"trim": "LX 4dr Sedan CVT",
"maintenance": [
{
"mileage": 15000,
"service_items": [
"Replace Air Cleaner Element",
"Replace Cabin Air Filter"
]
},
{
"mileage": 25000,
"service_items": [
"Replace Automatic Transaxle (cvt) Fluid"
]
},
{
"mileage": 30000,
"service_items": [
"Replace Air Cleaner Element",
"Replace Cabin Air Filter"
]
},
{
"mileage": 45000,
"service_items": [
"Replace Air Cleaner Element",
"Replace Cabin Air Filter"
]
},
{
"mileage": 50000,
"service_items": [
"Replace Automatic Transaxle (cvt) Fluid"
]
},
{
"mileage": 60000,
"service_items": [
"Replace Air Cleaner Element",
"Replace Cabin Air Filter"
]
},
{
"mileage": 75000,
"service_items": [
"Replace Air Cleaner Element",
"Replace Automatic Transaxle (cvt) Fluid",
"Replace Cabin Air Filter"
]
},
{
"mileage": 90000,
"service_items": [
"Replace Air Cleaner Element",
"Replace Cabin Air Filter"
]
},
{
"mileage": 100000,
"service_items": [
"Replace Automatic Transaxle (cvt) Fluid"
]
},
{
"mileage": 105000,
"service_items": [
"Replace Air Cleaner Element",
"Replace Cabin Air Filter"
]
},
{
"mileage": 120000,
"service_items": [
"Replace Air Cleaner Element",
"Replace Cabin Air Filter"
]
},
{
"mileage": 125000,
"service_items": [
"Replace Automatic Transaxle (cvt) Fluid"
]
},
{
"mileage": 135000,
"service_items": [
"Replace Air Cleaner Element",
"Replace Cabin Air Filter"
]
},
{
"mileage": 150000,
"service_items": [
"Replace Air Cleaner Element",
"Replace Automatic Transaxle (cvt) Fluid",
"Replace Cabin Air Filter"
]
},
{
"mileage": 160000,
"service_items": [
"Inspect Idle Speed"
]
}
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Vehicle Maintenance
GETJSON ResponseOverview
This API provides information about the OEM vehicle maintenance schedules at mileage intervals
- COVERAGE
- US Region Vehicles
- SUPPORT
- Works for vehicles from 1983 to 2025
HTTP Request
Endpoint
https://api.vehicledatabases.com/vehicle-maintenance/v3/{year}/{make}/{model}/{trim}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/vehicle-maintenance/v3/{year}/{make}/{model}/{trim}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
yearRequired- Vehicle year
makeRequired- Vehicle make
modelRequired- Vehicle model
trimRequired- Vehicle Trim
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"year": "2015",
"make": "ford",
"model": "c max energi",
"trim": "SEL 4dr Hatchback CVT",
"currency": "USD",
"maintenance": [
{
"mileage": 5000,
"conditions": [
"severe"
],
"severe": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Inspect wheels and related components",
"Perform multi-point inspection",
"Reset oil life monitor"
],
"costs": {
"high": 79,
"low": 54,
"average": 66
}
},
"normal": ""
},
{
"mileage": 10000,
"conditions": [
"severe",
"normal"
],
"severe": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Inspect automatic transmission fluid level",
"Inspect brake pads, shoes, rotors, drums, brake linings and hoses and parking brake system",
"Inspect cabin air filter (if equipped)",
"Inspect engine cooling system and motor/electronics cooling system strength and hoses (hybrid vehicles)",
"Inspect engine oil filter for corrosion",
"Inspect exhaust system and heat shields",
"Inspect half-shaft boots",
"Inspect steering linkage, ball joints, suspension and tie-rod ends. Lubricate if equipped with grease fittings.",
"Inspect wheels and related components",
"Perform multi-point inspection",
"Reset oil life monitor"
],
"costs": {
"high": 79,
"low": 54,
"average": 66
}
},
"normal": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Inspect automatic transmission fluid level",
"Inspect brake pads, shoes, rotors, drums, brake linings and hoses and parking brake system",
"Inspect cabin air filter (if equipped)",
"Inspect engine cooling system and motor/electronics cooling system strength and hoses (hybrid vehicles)",
"Inspect engine oil filter for corrosion",
"Inspect exhaust system and heat shields",
"Inspect half-shaft boots",
"Inspect steering linkage, ball joints, suspension and tie-rod ends. Lubricate if equipped with grease fittings.",
"Inspect wheels and related components",
"Reset oil life monitor"
],
"costs": {
"high": 80,
"low": 53,
"average": 66
}
}
},
{
"mileage": 15000,
"conditions": [
"severe"
],
"severe": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Inspect wheels and related components",
"Perform multi-point inspection",
"Reset oil life monitor"
],
"costs": {
"high": 79,
"low": 54,
"average": 66
}
},
"normal": ""
},
{
"mileage": 20000,
"conditions": [
"severe",
"normal"
],
"severe": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Replace cabin air filter",
"Inspect automatic transmission fluid level",
"Inspect brake pads, shoes, rotors, drums, brake linings and hoses and parking brake system",
"Inspect cabin air filter (if equipped)",
"Inspect engine cooling system and motor/electronics cooling system strength and hoses (hybrid vehicles)",
"Inspect engine oil filter for corrosion",
"Inspect exhaust system and heat shields",
"Inspect half-shaft boots",
"Inspect steering linkage, ball joints, suspension and tie-rod ends. Lubricate if equipped with grease fittings.",
"Inspect wheels and related components",
"Perform multi-point inspection",
"Reset oil life monitor"
],
"costs": {
"high": 147,
"low": 115,
"average": 131
}
},
"normal": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Replace cabin air filter",
"Inspect automatic transmission fluid level",
"Inspect brake pads, shoes, rotors, drums, brake linings and hoses and parking brake system",
"Inspect cabin air filter (if equipped)",
"Inspect engine cooling system and motor/electronics cooling system strength and hoses (hybrid vehicles)",
"Inspect engine oil filter for corrosion",
"Inspect exhaust system and heat shields",
"Inspect half-shaft boots",
"Inspect steering linkage, ball joints, suspension and tie-rod ends. Lubricate if equipped with grease fittings.",
"Inspect wheels and related components",
"Reset oil life monitor"
],
"costs": {
"high": 149,
"low": 118,
"average": 133
}
}
},
{
"mileage": 25000,
"conditions": [
"severe"
],
"severe": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Inspect wheels and related components",
"Perform multi-point inspection",
"Reset oil life monitor"
],
"costs": {
"high": 79,
"low": 54,
"average": 66
}
},
"normal": ""
},
{
"mileage": 30000,
"conditions": [
"severe",
"normal"
],
"severe": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Replace engine air filter",
"Inspect automatic transmission fluid level",
"Inspect brake pads, shoes, rotors, drums, brake linings and hoses and parking brake system",
"Inspect cabin air filter (if equipped)",
"Inspect engine cooling system and motor/electronics cooling system strength and hoses (hybrid vehicles)",
"Inspect engine oil filter for corrosion",
"Inspect exhaust system and heat shields",
"Inspect half-shaft boots",
"Inspect steering linkage, ball joints, suspension and tie-rod ends. Lubricate if equipped with grease fittings.",
"Inspect wheels and related components",
"Perform multi-point inspection",
"Reset oil life monitor"
],
"costs": {
"high": 133,
"low": 90,
"average": 111
}
},
"normal": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Replace engine air filter",
"Inspect automatic transmission fluid level",
"Inspect brake pads, shoes, rotors, drums, brake linings and hoses and parking brake system",
"Inspect cabin air filter (if equipped)",
"Inspect engine cooling system and motor/electronics cooling system strength and hoses (hybrid vehicles)",
"Inspect engine oil filter for corrosion",
"Inspect exhaust system and heat shields",
"Inspect half-shaft boots",
"Inspect steering linkage, ball joints, suspension and tie-rod ends. Lubricate if equipped with grease fittings.",
"Inspect wheels and related components",
"Reset oil life monitor"
],
"costs": {
"high": 139,
"low": 95,
"average": 117
}
}
},
{
"mileage": 35000,
"conditions": [
"severe"
],
"severe": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Inspect wheels and related components",
"Perform multi-point inspection",
"Reset oil life monitor"
],
"costs": {
"high": 79,
"low": 54,
"average": 66
}
},
"normal": ""
},
{
"mileage": 40000,
"conditions": [
"severe",
"normal"
],
"severe": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Replace cabin air filter",
"Inspect automatic transmission fluid level",
"Inspect brake pads, shoes, rotors, drums, brake linings and hoses and parking brake system",
"Inspect cabin air filter (if equipped)",
"Inspect engine cooling system and motor/electronics cooling system strength and hoses (hybrid vehicles)",
"Inspect engine oil filter for corrosion",
"Inspect exhaust system and heat shields",
"Inspect half-shaft boots",
"Inspect steering linkage, ball joints, suspension and tie-rod ends. Lubricate if equipped with grease fittings.",
"Inspect wheels and related components",
"Perform multi-point inspection",
"Reset oil life monitor"
],
"costs": {
"high": 147,
"low": 115,
"average": 131
}
},
"normal": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Replace cabin air filter",
"Inspect automatic transmission fluid level",
"Inspect brake pads, shoes, rotors, drums, brake linings and hoses and parking brake system",
"Inspect cabin air filter (if equipped)",
"Inspect engine cooling system and motor/electronics cooling system strength and hoses (hybrid vehicles)",
"Inspect engine oil filter for corrosion",
"Inspect exhaust system and heat shields",
"Inspect half-shaft boots",
"Inspect steering linkage, ball joints, suspension and tie-rod ends. Lubricate if equipped with grease fittings.",
"Inspect wheels and related components",
"Reset oil life monitor"
],
"costs": {
"high": 149,
"low": 118,
"average": 133
}
}
},
{
"mileage": 45000,
"conditions": [
"severe"
],
"severe": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Inspect wheels and related components",
"Perform multi-point inspection",
"Reset oil life monitor"
],
"costs": {
"high": 79,
"low": 54,
"average": 66
}
},
"normal": ""
},
{
"mileage": 50000,
"conditions": [
"severe",
"normal"
],
"severe": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Inspect automatic transmission fluid level",
"Inspect brake pads, shoes, rotors, drums, brake linings and hoses and parking brake system",
"Inspect cabin air filter (if equipped)",
"Inspect engine cooling system and motor/electronics cooling system strength and hoses (hybrid vehicles)",
"Inspect engine oil filter for corrosion",
"Inspect exhaust system and heat shields",
"Inspect half-shaft boots",
"Inspect steering linkage, ball joints, suspension and tie-rod ends. Lubricate if equipped with grease fittings.",
"Inspect wheels and related components",
"Perform multi-point inspection",
"Reset oil life monitor"
],
"costs": {
"high": 79,
"low": 54,
"average": 66
}
},
"normal": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Inspect automatic transmission fluid level",
"Inspect brake pads, shoes, rotors, drums, brake linings and hoses and parking brake system",
"Inspect cabin air filter (if equipped)",
"Inspect engine cooling system and motor/electronics cooling system strength and hoses (hybrid vehicles)",
"Inspect engine oil filter for corrosion",
"Inspect exhaust system and heat shields",
"Inspect half-shaft boots",
"Inspect steering linkage, ball joints, suspension and tie-rod ends. Lubricate if equipped with grease fittings.",
"Inspect wheels and related components",
"Reset oil life monitor"
],
"costs": {
"high": 80,
"low": 53,
"average": 66
}
}
},
{
"mileage": 55000,
"conditions": [
"severe"
],
"severe": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Inspect wheels and related components",
"Perform multi-point inspection",
"Reset oil life monitor"
],
"costs": {
"high": 79,
"low": 54,
"average": 66
}
},
"normal": ""
},
{
"mileage": 60000,
"conditions": [
"severe",
"normal"
],
"severe": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Replace cabin air filter",
"Replace engine air filter",
"Replace spark plugs",
"Inspect automatic transmission fluid level",
"Inspect brake pads, shoes, rotors, drums, brake linings and hoses and parking brake system",
"Inspect cabin air filter (if equipped)",
"Inspect engine cooling system and motor/electronics cooling system strength and hoses (hybrid vehicles)",
"Inspect engine oil filter for corrosion",
"Inspect exhaust system and heat shields",
"Inspect half-shaft boots",
"Inspect steering linkage, ball joints, suspension and tie-rod ends. Lubricate if equipped with grease fittings.",
"Inspect wheels and related components",
"Perform multi-point inspection",
"Reset oil life monitor"
],
"costs": {
"high": 411,
"low": 315,
"average": 363
}
},
"normal": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Replace cabin air filter",
"Replace engine air filter",
"Inspect automatic transmission fluid level",
"Inspect brake pads, shoes, rotors, drums, brake linings and hoses and parking brake system",
"Inspect cabin air filter (if equipped)",
"Inspect engine cooling system and motor/electronics cooling system strength and hoses (hybrid vehicles)",
"Inspect engine oil filter for corrosion",
"Inspect exhaust system and heat shields",
"Inspect half-shaft boots",
"Inspect steering linkage, ball joints, suspension and tie-rod ends. Lubricate if equipped with grease fittings.",
"Inspect wheels and related components",
"Reset oil life monitor"
],
"costs": {
"high": 210,
"low": 151,
"average": 180
}
}
},
{
"mileage": 65000,
"conditions": [
"severe"
],
"severe": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Inspect wheels and related components",
"Perform multi-point inspection",
"Reset oil life monitor"
],
"costs": {
"high": 79,
"low": 54,
"average": 66
}
},
"normal": ""
},
{
"mileage": 70000,
"conditions": [
"severe",
"normal"
],
"severe": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Inspect automatic transmission fluid level",
"Inspect brake pads, shoes, rotors, drums, brake linings and hoses and parking brake system",
"Inspect cabin air filter (if equipped)",
"Inspect engine cooling system and motor/electronics cooling system strength and hoses (hybrid vehicles)",
"Inspect engine oil filter for corrosion",
"Inspect exhaust system and heat shields",
"Inspect half-shaft boots",
"Inspect steering linkage, ball joints, suspension and tie-rod ends. Lubricate if equipped with grease fittings.",
"Inspect wheels and related components",
"Perform multi-point inspection",
"Reset oil life monitor"
],
"costs": {
"high": 79,
"low": 54,
"average": 66
}
},
"normal": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Inspect automatic transmission fluid level",
"Inspect brake pads, shoes, rotors, drums, brake linings and hoses and parking brake system",
"Inspect cabin air filter (if equipped)",
"Inspect engine cooling system and motor/electronics cooling system strength and hoses (hybrid vehicles)",
"Inspect engine oil filter for corrosion",
"Inspect exhaust system and heat shields",
"Inspect half-shaft boots",
"Inspect steering linkage, ball joints, suspension and tie-rod ends. Lubricate if equipped with grease fittings.",
"Inspect wheels and related components",
"Reset oil life monitor"
],
"costs": {
"high": 80,
"low": 53,
"average": 66
}
}
},
{
"mileage": 75000,
"conditions": [
"severe"
],
"severe": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Inspect wheels and related components",
"Perform multi-point inspection",
"Reset oil life monitor"
],
"costs": {
"high": 79,
"low": 54,
"average": 66
}
},
"normal": ""
},
{
"mileage": 80000,
"conditions": [
"severe",
"normal"
],
"severe": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Replace cabin air filter",
"Inspect automatic transmission fluid level",
"Inspect brake pads, shoes, rotors, drums, brake linings and hoses and parking brake system",
"Inspect cabin air filter (if equipped)",
"Inspect engine cooling system and motor/electronics cooling system strength and hoses (hybrid vehicles)",
"Inspect engine oil filter for corrosion",
"Inspect exhaust system and heat shields",
"Inspect half-shaft boots",
"Inspect steering linkage, ball joints, suspension and tie-rod ends. Lubricate if equipped with grease fittings.",
"Inspect wheels and related components",
"Perform multi-point inspection",
"Reset oil life monitor"
],
"costs": {
"high": 147,
"low": 115,
"average": 131
}
},
"normal": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Replace cabin air filter",
"Inspect automatic transmission fluid level",
"Inspect brake pads, shoes, rotors, drums, brake linings and hoses and parking brake system",
"Inspect cabin air filter (if equipped)",
"Inspect engine cooling system and motor/electronics cooling system strength and hoses (hybrid vehicles)",
"Inspect engine oil filter for corrosion",
"Inspect exhaust system and heat shields",
"Inspect half-shaft boots",
"Inspect steering linkage, ball joints, suspension and tie-rod ends. Lubricate if equipped with grease fittings.",
"Inspect wheels and related components",
"Reset oil life monitor"
],
"costs": {
"high": 149,
"low": 118,
"average": 133
}
}
},
{
"mileage": 85000,
"conditions": [
"severe"
],
"severe": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Inspect wheels and related components",
"Perform multi-point inspection",
"Reset oil life monitor"
],
"costs": {
"high": 79,
"low": 54,
"average": 66
}
},
"normal": ""
},
{
"mileage": 90000,
"conditions": [
"severe",
"normal"
],
"severe": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Replace engine air filter",
"Inspect automatic transmission fluid level",
"Inspect brake pads, shoes, rotors, drums, brake linings and hoses and parking brake system",
"Inspect cabin air filter (if equipped)",
"Inspect engine cooling system and motor/electronics cooling system strength and hoses (hybrid vehicles)",
"Inspect engine oil filter for corrosion",
"Inspect exhaust system and heat shields",
"Inspect half-shaft boots",
"Inspect steering linkage, ball joints, suspension and tie-rod ends. Lubricate if equipped with grease fittings.",
"Inspect wheels and related components",
"Perform multi-point inspection",
"Reset oil life monitor"
],
"costs": {
"high": 133,
"low": 90,
"average": 111
}
},
"normal": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Replace engine air filter",
"Inspect automatic transmission fluid level",
"Inspect brake pads, shoes, rotors, drums, brake linings and hoses and parking brake system",
"Inspect cabin air filter (if equipped)",
"Inspect engine cooling system and motor/electronics cooling system strength and hoses (hybrid vehicles)",
"Inspect engine oil filter for corrosion",
"Inspect exhaust system and heat shields",
"Inspect half-shaft boots",
"Inspect steering linkage, ball joints, suspension and tie-rod ends. Lubricate if equipped with grease fittings.",
"Inspect wheels and related components",
"Reset oil life monitor"
],
"costs": {
"high": 139,
"low": 95,
"average": 117
}
}
},
{
"mileage": 95000,
"conditions": [
"severe"
],
"severe": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Inspect wheels and related components",
"Perform multi-point inspection",
"Reset oil life monitor"
],
"costs": {
"high": 79,
"low": 54,
"average": 66
}
},
"normal": ""
},
{
"mileage": 100000,
"conditions": [
"severe",
"normal"
],
"severe": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine coolant - (Green)",
"Change engine oil and replace oil filter",
"Replace cabin air filter",
"Inspect automatic transmission fluid level",
"Inspect brake pads, shoes, rotors, drums, brake linings and hoses and parking brake system",
"Inspect cabin air filter (if equipped)",
"Inspect engine cooling system and motor/electronics cooling system strength and hoses (hybrid vehicles)",
"Inspect engine oil filter for corrosion",
"Inspect exhaust system and heat shields",
"Inspect half-shaft boots",
"Inspect steering linkage, ball joints, suspension and tie-rod ends. Lubricate if equipped with grease fittings.",
"Inspect wheels and related components",
"Perform multi-point inspection",
"Reset oil life monitor"
],
"costs": {
"high": 472,
"low": 285,
"average": 378
}
},
"normal": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine coolant - (Green)",
"Change engine oil and replace oil filter",
"Replace cabin air filter",
"Replace spark plugs",
"Inspect automatic transmission fluid level",
"Inspect brake pads, shoes, rotors, drums, brake linings and hoses and parking brake system",
"Inspect cabin air filter (if equipped)",
"Inspect engine cooling system and motor/electronics cooling system strength and hoses (hybrid vehicles)",
"Inspect engine oil filter for corrosion",
"Inspect exhaust system and heat shields",
"Inspect half-shaft boots",
"Inspect steering linkage, ball joints, suspension and tie-rod ends. Lubricate if equipped with grease fittings.",
"Inspect wheels and related components",
"Reset oil life monitor"
],
"costs": {
"high": 640,
"low": 486,
"average": 563
}
}
},
{
"mileage": 105000,
"conditions": [
"severe"
],
"severe": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Inspect wheels and related components",
"Perform multi-point inspection",
"Reset oil life monitor"
],
"costs": {
"high": 79,
"low": 54,
"average": 66
}
},
"normal": ""
},
{
"mileage": 110000,
"conditions": [
"severe",
"normal"
],
"severe": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Inspect automatic transmission fluid level",
"Inspect brake pads, shoes, rotors, drums, brake linings and hoses and parking brake system",
"Inspect cabin air filter (if equipped)",
"Inspect engine cooling system and motor/electronics cooling system strength and hoses (hybrid vehicles)",
"Inspect engine oil filter for corrosion",
"Inspect exhaust system and heat shields",
"Inspect half-shaft boots",
"Inspect steering linkage, ball joints, suspension and tie-rod ends. Lubricate if equipped with grease fittings.",
"Inspect wheels and related components",
"Perform multi-point inspection",
"Reset oil life monitor"
],
"costs": {
"high": 79,
"low": 54,
"average": 66
}
},
"normal": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Inspect automatic transmission fluid level",
"Inspect brake pads, shoes, rotors, drums, brake linings and hoses and parking brake system",
"Inspect cabin air filter (if equipped)",
"Inspect engine cooling system and motor/electronics cooling system strength and hoses (hybrid vehicles)",
"Inspect engine oil filter for corrosion",
"Inspect exhaust system and heat shields",
"Inspect half-shaft boots",
"Inspect steering linkage, ball joints, suspension and tie-rod ends. Lubricate if equipped with grease fittings.",
"Inspect wheels and related components",
"Reset oil life monitor"
],
"costs": {
"high": 80,
"low": 53,
"average": 66
}
}
},
{
"mileage": 115000,
"conditions": [
"severe"
],
"severe": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Inspect wheels and related components",
"Perform multi-point inspection",
"Reset oil life monitor"
],
"costs": {
"high": 79,
"low": 54,
"average": 66
}
},
"normal": ""
},
{
"mileage": 120000,
"conditions": [
"severe",
"normal"
],
"severe": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Replace cabin air filter",
"Replace engine air filter",
"Replace spark plugs",
"Inspect automatic transmission fluid level",
"Inspect brake pads, shoes, rotors, drums, brake linings and hoses and parking brake system",
"Inspect cabin air filter (if equipped)",
"Inspect engine cooling system and motor/electronics cooling system strength and hoses (hybrid vehicles)",
"Inspect engine oil filter for corrosion",
"Inspect exhaust system and heat shields",
"Inspect half-shaft boots",
"Inspect steering linkage, ball joints, suspension and tie-rod ends. Lubricate if equipped with grease fittings.",
"Inspect wheels and related components",
"Perform multi-point inspection",
"Reset oil life monitor"
],
"costs": {
"high": 411,
"low": 315,
"average": 363
}
},
"normal": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Replace cabin air filter",
"Replace engine air filter",
"Inspect automatic transmission fluid level",
"Inspect brake pads, shoes, rotors, drums, brake linings and hoses and parking brake system",
"Inspect cabin air filter (if equipped)",
"Inspect engine cooling system and motor/electronics cooling system strength and hoses (hybrid vehicles)",
"Inspect engine oil filter for corrosion",
"Inspect exhaust system and heat shields",
"Inspect half-shaft boots",
"Inspect steering linkage, ball joints, suspension and tie-rod ends. Lubricate if equipped with grease fittings.",
"Inspect wheels and related components",
"Reset oil life monitor"
],
"costs": {
"high": 210,
"low": 151,
"average": 180
}
}
},
{
"mileage": 125000,
"conditions": [
"severe"
],
"severe": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Inspect wheels and related components",
"Perform multi-point inspection",
"Reset oil life monitor"
],
"costs": {
"high": 79,
"low": 54,
"average": 66
}
},
"normal": ""
},
{
"mileage": 130000,
"conditions": [
"severe",
"normal"
],
"severe": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Inspect automatic transmission fluid level",
"Inspect brake pads, shoes, rotors, drums, brake linings and hoses and parking brake system",
"Inspect cabin air filter (if equipped)",
"Inspect engine cooling system and motor/electronics cooling system strength and hoses (hybrid vehicles)",
"Inspect engine oil filter for corrosion",
"Inspect exhaust system and heat shields",
"Inspect half-shaft boots",
"Inspect steering linkage, ball joints, suspension and tie-rod ends. Lubricate if equipped with grease fittings.",
"Inspect wheels and related components",
"Perform multi-point inspection",
"Reset oil life monitor"
],
"costs": {
"high": 79,
"low": 54,
"average": 66
}
},
"normal": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Inspect automatic transmission fluid level",
"Inspect brake pads, shoes, rotors, drums, brake linings and hoses and parking brake system",
"Inspect cabin air filter (if equipped)",
"Inspect engine cooling system and motor/electronics cooling system strength and hoses (hybrid vehicles)",
"Inspect engine oil filter for corrosion",
"Inspect exhaust system and heat shields",
"Inspect half-shaft boots",
"Inspect steering linkage, ball joints, suspension and tie-rod ends. Lubricate if equipped with grease fittings.",
"Inspect wheels and related components",
"Reset oil life monitor"
],
"costs": {
"high": 80,
"low": 53,
"average": 66
}
}
},
{
"mileage": 135000,
"conditions": [
"severe"
],
"severe": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Inspect wheels and related components",
"Perform multi-point inspection",
"Reset oil life monitor"
],
"costs": {
"high": 79,
"low": 54,
"average": 66
}
},
"normal": ""
},
{
"mileage": 140000,
"conditions": [
"severe",
"normal"
],
"severe": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Replace cabin air filter",
"Inspect automatic transmission fluid level",
"Inspect brake pads, shoes, rotors, drums, brake linings and hoses and parking brake system",
"Inspect cabin air filter (if equipped)",
"Inspect engine cooling system and motor/electronics cooling system strength and hoses (hybrid vehicles)",
"Inspect engine oil filter for corrosion",
"Inspect exhaust system and heat shields",
"Inspect half-shaft boots",
"Inspect steering linkage, ball joints, suspension and tie-rod ends. Lubricate if equipped with grease fittings.",
"Inspect wheels and related components",
"Perform multi-point inspection",
"Reset oil life monitor"
],
"costs": {
"high": 147,
"low": 115,
"average": 131
}
},
"normal": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Replace cabin air filter",
"Inspect automatic transmission fluid level",
"Inspect brake pads, shoes, rotors, drums, brake linings and hoses and parking brake system",
"Inspect cabin air filter (if equipped)",
"Inspect engine cooling system and motor/electronics cooling system strength and hoses (hybrid vehicles)",
"Inspect engine oil filter for corrosion",
"Inspect exhaust system and heat shields",
"Inspect half-shaft boots",
"Inspect steering linkage, ball joints, suspension and tie-rod ends. Lubricate if equipped with grease fittings.",
"Inspect wheels and related components",
"Reset oil life monitor"
],
"costs": {
"high": 149,
"low": 118,
"average": 133
}
}
},
{
"mileage": 145000,
"conditions": [
"severe"
],
"severe": {
"service_items": [
"Rotate tires and inspect for wear",
"Change engine oil and replace oil filter",
"Inspect wheels and related components",
"Perform multi-point inspection",
"Reset oil life monitor"
],
"costs": {
"high": 79,
"low": 54,
"average": 66
}
},
"normal": ""
},
{
"mileage": 150000,
"conditions": [
"severe",
"normal"
],
"severe": {
"service_items": [
"Rotate tires and inspect for wear",
"Change automatic transmission fluid",
"Change engine coolant - (Green)",
"Change engine oil and replace oil filter",
"Replace engine air filter",
"Inspect automatic transmission fluid level",
"Inspect brake pads, shoes, rotors, drums, brake linings and hoses and parking brake system",
"Inspect cabin air filter (if equipped)",
"Inspect engine cooling system and motor/electronics cooling system strength and hoses (hybrid vehicles)",
"Inspect engine oil filter for corrosion",
"Inspect exhaust system and heat shields",
"Inspect half-shaft boots",
"Inspect steering linkage, ball joints, suspension and tie-rod ends. Lubricate if equipped with grease fittings.",
"Inspect wheels and related components",
"Perform multi-point inspection",
"Reset oil life monitor"
],
"costs": {
"high": 658,
"low": 466,
"average": 562
}
},
"normal": {
"service_items": [
"Rotate tires and inspect for wear",
"Change automatic transmission fluid",
"Change engine coolant - (Green)",
"Change engine oil and replace oil filter",
"Replace engine air filter",
"Inspect automatic transmission fluid level",
"Inspect brake pads, shoes, rotors, drums, brake linings and hoses and parking brake system",
"Inspect cabin air filter (if equipped)",
"Inspect engine cooling system and motor/electronics cooling system strength and hoses (hybrid vehicles)",
"Inspect engine oil filter for corrosion",
"Inspect exhaust system and heat shields",
"Inspect half-shaft boots",
"Inspect steering linkage, ball joints, suspension and tie-rod ends. Lubricate if equipped with grease fittings.",
"Inspect wheels and related components",
"Reset oil life monitor"
],
"costs": {
"high": 655,
"low": 493,
"average": 574
}
}
}
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Vehicle Maintenance
GETJSON ResponseOverview
The Year Options API returns a list of all available vehicle years in the database.
- RETURNS
- Array of available years as strings
- SUPPORT
- Works for vehicles from 1983 to 2025
HTTP Request
Endpoint
https://api.vehicledatabases.com/vehicle-maintenance/options/v4/yearRequest
import requests
response = requests.get(
"https://api.vehicledatabases.com/vehicle-maintenance/options/v4/year",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"years":[
1983,
1984,
1985,
1986,
1987,
1988,
1989,
1990,
1991,
1992,
1993,
1994,
1995,
1996,
1997,
1998,
1999,
2000,
2001,
2002,
2003,
2004,
2005,
2006,
2007,
2008,
2009,
2010,
2011,
2012,
2013,
2014,
2015,
2016,
2017,
2018,
2019,
2020,
2021,
2022,
2023,
2024,
2025
]
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Vehicle Maintenance
GETJSON ResponseOverview
The Make Options API returns a list of all available vehicle makes for a specific year. Use this endpoint after the user selects a year.
- RETURNS
- Array of available makes for the specified year
- REQUIRED
- Year parameter in the URL path
HTTP Request
Endpoint
https://api.vehicledatabases.com/vehicle-maintenance/options/v4/make/{year}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/vehicle-maintenance/options/v4/make/{year}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
yearRequired- Vehicle Year
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"year": "2018",
"makes": [
"Acura",
"Audi",
"BMW",
"Buick",
"Cadillac",
"Chevrolet",
"Chrysler",
"Dodge",
"Fiat",
"Ford",
"GMC",
"Genesis",
"Honda",
"Hyundai",
"Infiniti",
"Jaguar",
"Jeep",
"KIA",
"Land Rover",
"Lexus",
"Lincoln",
"Mazda",
"Mini",
"Mercedes-Benz",
"Mitsubishi",
"Nissan",
"Porsche",
"RAM",
"Smart",
"Subaru",
"Toyota",
"Volkswagen",
"Volvo"
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Vehicle Maintenance
GETJSON ResponseOverview
The Model Options API returns a list of all available vehicle models for a specific year and make combination. Use this endpoint after the user selects both year and make.
- RETURNS
- Array of available models for the specified year and make
- REQUIRED
- Year and make parameters in the URL path
HTTP Request
Endpoint
https://api.vehicledatabases.com/vehicle-maintenance/options/v4/model/{year}/{make}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/vehicle-maintenance/options/v4/model/{year}/{make}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
yearRequired- Vehicle Year
makeRequired- Vehicle Make
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"year": "2018",
"make": "BMW",
"models": [
"230",
"320",
"330",
"340",
"430",
"430 Gran Coupe",
"440",
"440 Gran Coupe",
"530",
"540",
"640",
"640 Gran Coupe",
"650",
"650 Gran Coupe",
"740",
"750",
"Alpina B6 Gran Coupe",
"Alpina B7",
"M2",
"M240",
"M3",
"M4",
"M5",
"M550",
"M6",
"M6 Gran Coupe",
"X1",
"X2",
"X3",
"X4",
"X5",
"X6"
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Vehicle Maintenance
GETJSON ResponseOverview
The Trim Options API returns a list of all available vehicle trims for a specific year, make, and model combination. Use this endpoint after the user selects year, make and model.
- RETURNS
- Array of available trims for the specified year, make, and model
- REQUIRED
- Year, make, and model parameters in the URL path
HTTP Request
Endpoint
https://api.vehicledatabases.com/vehicle-maintenance/options/v4/trim/{year}/{make}/{model}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/vehicle-maintenance/options/v4/trim/{year}/{make}/{model}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
yearRequired- Vehicle Year
makeRequired- Vehicle Make
modelRequired- Vehicle Model
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"year": "2018",
"make": "BMW",
"models": "230",
"trims": [
"i xDrive 2dr All-wheel Drive Convertible Automatic",
"i xDrive 2dr All-wheel Drive Coupe Automatic"
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Vehicle Maintenance
GETJSON ResponseOverview
The Year Options API returns a list of all available vehicle years in the database.
- RETURNS
- Array of available years as strings
- SUPPORT
- Works for vehicles from 1983 to 2025
HTTP Request
Endpoint
https://api.vehicledatabases.com/vehicle-maintenance/options/v3/yearRequest
import requests
response = requests.get(
"https://api.vehicledatabases.com/vehicle-maintenance/options/v3/year",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"years":[
1983,
1984,
1985,
1986,
1987,
1988,
1989,
1990,
1991,
1992,
1993,
1994,
1995,
1996,
1997,
1998,
1999,
2000,
2001,
2002,
2003,
2004,
2005,
2006,
2007,
2008,
2009,
2010,
2011,
2012,
2013,
2014,
2015,
2016,
2017,
2018,
2019,
2020,
2021,
2022,
2023,
2024,
2025
]
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Vehicle Maintenance
GETJSON ResponseOverview
The Make Options API returns a list of all available vehicle makes for a specific year. Use this endpoint after the user selects a year.
- RETURNS
- Array of available makes for the specified year
- REQUIRED
- Year parameter in the URL path
HTTP Request
Endpoint
https://api.vehicledatabases.com/vehicle-maintenance/options/v3/make/{year}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/vehicle-maintenance/options/v3/make/{year}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
yearRequired- Vehicle Year
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"year": "2018",
"makes": [
"Acura",
"Audi",
"BMW",
"Buick",
"Cadillac",
"Chevrolet",
"Chrysler",
"Dodge",
"Fiat",
"Ford",
"GMC",
"Genesis",
"Honda",
"Hyundai",
"Infiniti",
"Jaguar",
"Jeep",
"KIA",
"Land Rover",
"Lexus",
"Lincoln",
"Mazda",
"Mini",
"Mercedes-Benz",
"Mitsubishi",
"Nissan",
"Porsche",
"RAM",
"Smart",
"Subaru",
"Toyota",
"Volkswagen",
"Volvo"
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Vehicle Maintenance
GETJSON ResponseOverview
The Model Options API returns a list of all available vehicle models for a specific year and make combination. Use this endpoint after the user selects both year and make.
- RETURNS
- Array of available models for the specified year and make
- REQUIRED
- Year and make parameters in the URL path
HTTP Request
Endpoint
https://api.vehicledatabases.com/vehicle-maintenance/options/v3/model/{year}/{make}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/vehicle-maintenance/options/v3/model/{year}/{make}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
yearRequired- Vehicle Year
makeRequired- Vehicle Make
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"year": "2018",
"make": "BMW",
"models": [
"230",
"320",
"330",
"340",
"430",
"430 Gran Coupe",
"440",
"440 Gran Coupe",
"530",
"540",
"640",
"640 Gran Coupe",
"650",
"650 Gran Coupe",
"740",
"750",
"Alpina B6 Gran Coupe",
"Alpina B7",
"M2",
"M240",
"M3",
"M4",
"M5",
"M550",
"M6",
"M6 Gran Coupe",
"X1",
"X2",
"X3",
"X4",
"X5",
"X6"
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Vehicle Maintenance
GETJSON ResponseOverview
The Trim Options API returns a list of all available vehicle trims for a specific year, make, and model combination. Use this endpoint after the user selects year, make and model.
- RETURNS
- Array of available trims for the specified year, make, and model
- REQUIRED
- Year, make, and model parameters in the URL path
HTTP Request
Endpoint
https://api.vehicledatabases.com/vehicle-maintenance/options/v3/trim/{year}/{make}/{model}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/vehicle-maintenance/options/v3/trim/{year}/{make}/{model}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
yearRequired- Vehicle Year
makeRequired- Vehicle Make
modelRequired- Vehicle Model
JSON Response
The response is a JSON of all the information associated with a VIN number. Each vin number has the following elements:
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"year": "2018",
"make": "BMW",
"models": "230",
"trims": [
"i xDrive 2dr All-wheel Drive Convertible Automatic",
"i xDrive 2dr All-wheel Drive Coupe Automatic"
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.